Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BindingTemplate

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.BindingTemplate

    public class BindingTemplate

extends Object

BindingTemplate provide information for determining a technical entry point or remotely hosted services.

Constructor Summary
`BindingTemplate()` Class constructor.

Method Summary
`void` | `addDescription(String value)` Adds a new description to the descriptions.
`AccessPoint` | `getAccessPoint()` Gets the value of the access point.
`String` | `getBindingKey()` Gets the value of the binding key.
`Vector` | `getDescriptionVector()` Gets the set of descriptions
`HostingRedirector` | `getHostingRedirector()` Gets the value of the hosting director.
`String` | `getServiceKey()` Gets the value of the service key.
`TModelInstanceDetails` | `getTModelInstanceDetails()` Gets the value of the TModel instance details.
`void` | `setAccessPoint(AccessPoint value)` Sets the value of the access point.
`void` | `setBindingKey(String value)` Sets the value of the binding key.
`void` | `setDescriptionVector(Vector value)` Sets the values for descriptions.
`void` | `setHostingRedirector(HostingRedirector value)` Sets the value of the hosting director.
`void` | `setServiceKey(String value)` Sets the value of the service key.
`void` | `setTModelInstanceDetails(TModelInstanceDetails value)` Sets the value of the TModel instance details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingTemplate

    public BindingTemplate()

  Class constructor.

Method Detail

### addDescription

    public void addDescription(String value)

  Adds a new description to the descriptions.

  Parameters:
    `value` - the new description.

### setDescriptionVector

    public void setDescriptionVector(Vector value)

  Sets the values for descriptions.

  Parameters:
    `value` - A set of descriptions to be included

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions

  Returns:
    the set of descriptions

### setAccessPoint

    public void setAccessPoint(AccessPoint value)

  Sets the value of the access point.

  Parameters:
    `value` - the new value of the access point.

### getAccessPoint

    public AccessPoint getAccessPoint()

  Gets the value of the access point.

  Returns:
    the current value of the access point.

### setHostingRedirector

    public void setHostingRedirector(HostingRedirector value)

  Sets the value of the hosting director.

  Parameters:
    `value` - the new value of the hosting director.

### getHostingRedirector

    public HostingRedirector getHostingRedirector()

  Gets the value of the hosting director.

  Returns:
    the current value of the hosting director.

### setTModelInstanceDetails

    public void setTModelInstanceDetails(TModelInstanceDetails value)

  Sets the value of the TModel instance details.

  Parameters:
    `value` - the new value of the TModel instance details.

### getTModelInstanceDetails

    public TModelInstanceDetails getTModelInstanceDetails()

  Gets the value of the TModel instance details.

  Returns:
    the current value of the TModel instance details.

### setBindingKey

    public void setBindingKey(String value)

  Sets the value of the binding key.

  Parameters:
    `value` - the new value of the binding key.

### getBindingKey

    public String getBindingKey()

  Gets the value of the binding key.

  Returns:
    the current value of the binding key.

### setServiceKey

    public void setServiceKey(String value)

  Sets the value of the service key.

  Parameters:
    `value` - the new value of the service key.

### getServiceKey

    public String getServiceKey()

  Gets the value of the service key.

  Returns:
    the current value of the service key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD